Bullet Collision Detection & Physics Library: btMultiSapBroadphase::btMultiSapProxy Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btMultiSapBroadphase::btMultiSapProxy Struct Reference

`#include <btMultiSapBroadphase.h>`

Inheritance diagram for btMultiSapBroadphase::btMultiSapProxy:
[legend]
Collaboration diagram for btMultiSapBroadphase::btMultiSapProxy:
[legend]

## Public Member Functions
| btMultiSapProxy (const btVector3 &aabbMin, const btVector3 &aabbMax, int shapeType, void *userPtr, short int collisionFilterGroup, short int collisionFilterMask)
Public Member Functions inherited from btBroadphaseProxy
| BT_DECLARE_ALIGNED_ALLOCATOR ()
int | getUid () const
| btBroadphaseProxy ()
| btBroadphaseProxy (const btVector3 &aabbMin, const btVector3 &aabbMax, void *userPtr, short int collisionFilterGroup, short int collisionFilterMask, void *multiSapParentProxy=0)

## Public Attributes
btAlignedObjectArray< btBridgeProxy * > | m_bridgeProxies
| array with all the entries that this proxy belongs to More...
btVector3 | m_aabbMin
btVector3 | m_aabbMax
int | m_shapeType
Public Attributes inherited from btBroadphaseProxy
void * | m_clientObject
short int | m_collisionFilterGroup
short int | m_collisionFilterMask
void * | m_multiSapParentProxy
int | m_uniqueId
btVector3 | m_aabbMin
btVector3 | m_aabbMax

## Additional Inherited Members
Public Types inherited from btBroadphaseProxy
enum | CollisionFilterGroups { DefaultFilter = 1, StaticFilter = 2, KinematicFilter = 4, DebrisFilter = 8, SensorTrigger = 16, CharacterFilter = 32, AllFilter = -1 }
| optional filtering to cull potential collisions More...
Static Public Member Functions inherited from btBroadphaseProxy
static bool | isPolyhedral (int proxyType)
static bool | isConvex (int proxyType)
static bool | isNonMoving (int proxyType)
static bool | isConcave (int proxyType)
static bool | isCompound (int proxyType)
static bool | isSoftBody (int proxyType)
static bool | isInfinite (int proxyType)
static bool | isConvex2d (int proxyType)

## Detailed Description

Definition at line 61 of file btMultiSapBroadphase.h.

## Constructor & Destructor Documentation

btMultiSapBroadphase::btMultiSapProxy::btMultiSapProxy | ( | const btVector3 & | aabbMin,
|  | const btVector3 & | aabbMax,
|  | int | shapeType,
|  | void * | userPtr,
|  | short int | collisionFilterGroup,
|  | short int | collisionFilterMask
| ) |  |
| inline

Definition at line 75 of file btMultiSapBroadphase.h.

## Member Data Documentation

btVector3 btMultiSapBroadphase::btMultiSapProxy::m_aabbMax

Definition at line 67 of file btMultiSapBroadphase.h.

btVector3 btMultiSapBroadphase::btMultiSapProxy::m_aabbMin

Definition at line 66 of file btMultiSapBroadphase.h.

btAlignedObjectArray<btBridgeProxy*> btMultiSapBroadphase::btMultiSapProxy::m_bridgeProxies

array with all the entries that this proxy belongs to

Definition at line 65 of file btMultiSapBroadphase.h.

int btMultiSapBroadphase::btMultiSapProxy::m_shapeType

Definition at line 69 of file btMultiSapBroadphase.h.

The documentation for this struct was generated from the following file:

- btMultiSapBroadphase.h